Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultLengthListHandler

    java.lang.Object
      org.apache.batik.parser.DefaultLengthHandler
          org.apache.batik.parser.DefaultLengthListHandler

All Implemented Interfaces:
  LengthHandler, LengthListHandler

Direct Known Subclasses:
  LengthArrayProducer

    public class DefaultLengthListHandler

extends DefaultLengthHandler
implements LengthListHandler

This class provides an adapter for LengthListHandler

Field Summary
`static LengthListHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultLengthListHandler()` This class does not need to be instantiated.

Method Summary
`void` | `endLengthList()` Implements `LengthListHandler.endLengthList()`.
`void` | `startLengthList()` Implements `LengthListHandler.startLengthList()`.

Methods inherited from class org.apache.batik.parser.DefaultLengthHandler
`cm, em, endLength, ex, in, lengthValue, mm, pc, percentage, pt, px, startLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.parser.LengthHandler
`cm, em, endLength, ex, in, lengthValue, mm, pc, percentage, pt, px, startLength`

Field Detail

### INSTANCE

    public static final LengthListHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultLengthListHandler

    protected DefaultLengthListHandler()

  This class does not need to be instantiated.

Method Detail

### startLengthList

    public void startLengthList()
                         throws ParseException

  Implements `LengthListHandler.startLengthList()`.

  Specified by:
    `startLengthList` in interface `LengthListHandler`
  Throws:
    `ParseException` - if an error occures while processing the length list.

### endLengthList

    public void endLengthList()
                       throws ParseException

  Implements `LengthListHandler.endLengthList()`.

  Specified by:
    `endLengthList` in interface `LengthListHandler`
  Throws:
    `ParseException` - if an error occures while processing the length list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.